/* eslint no-undef: "off", no-alert: "off" */
( function( $ ) {
	'use strict';

	// Check if lpsnData is available.
	if ( typeof lpsnData !== 'undefined' && lpsnData.orders.length > 0 ) {
		const orders = lpsnData.orders;
		let i = 0;

		// Function to show the popup notification.
		function showNotification() {
			if ( i < orders.length ) {
				const order = orders[ i ];

				// Update HTML content with order details
				$( '.lpsn-box .someone' ).text( `${ order.billingFirstName } just purchased` );
				$( '.lpsn-box .product-name' ).text( `${ order.products[ 0 ].name }` );
				$( '.lpsn-box .time-ago' ).text( `${ order.timeAgo }` );
				$( '.lpsn-box .country' ).text( ` from ${ order.billingCity }` );
				$( '.lpsn-box .lpsn-box-image img' ).attr( 'src', `${ order.products[ 0 ].image }` );

				// Show the notification
				$( '.lpsn-container' ).fadeIn( 300 );

				// Hide the notification after 3 seconds
				setTimeout( function() {
					$( '.lpsn-container' ).fadeOut( 300, function() {
						// Show the next notification
						i++;
						setTimeout( showNotification, 4000 ); // Wait 4 seconds before showing the next one
					} );
				}, 4000 ); // Display the notification for 4 seconds
			}
		}

		// Start showing notifications.
		showNotification();
	}
}( jQuery ) );
